/*
*Copyright 2006 jmin. All rights reserved.
*/
package org.jmin.service;

import java.util.EventObject;

/*
 * An event object.When source found,event object will be 
 * occured.<member>type</member>indicate event type,we 
 * defined three static values for this.
 * 
 * @author Chris liao
 * @version 1.0
 * @date 2004/10/01
 */

public class DiscoverEvent extends EventObject{

  //operation type: new,update,delete.
  private int type = -1;

  //Event constructor
  public DiscoverEvent(Source source,int type) {
    super(source);
    this.type = type;
  }

  //return event operation type on source
  public int getType(){
    return this.type;
  }

  //return target source
  public Source getEventSource(){
    return (Source)super.getSource();
  }

  //indicate that an new source is found
  public final static int NEW = 0;

  //indicate that a updated source is found
  public final static int UPDATE = 1;

  //indicate that a delete source is found
  public final static int DELETE = 2;

}